GCLOUD_IAM_SERVICE-ACCOUNTS_CREATE(1)

NAME

gcloud iam service-accounts create - create a service account for a project

SYNOPSIS

gcloud iam service-accounts create NAME [--display-name=DISPLAY_NAME] [GLOBAL-FLAG ...]

DESCRIPTION
This command creates a service account with the provided name. For subsequent commands regarding service accounts, this service account should be referred to by the email account in the response.

POSITIONAL ARGUMENTS

    NAME
        The internal name of the new service account. Used to generate an IAM-ACCOUNT (an IAM internal email address used as an identifier of service account), which must be passed to subsequent commands.

FLAGS

    --display-name=DISPLAY_NAME
        A textual name to display for the account.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To create a service account for your project, run:
    $ gcloud iam service-accounts create some-account-name \
        --display-name "My Service Account"
To work with this service account in subsequent IAM commands, use the email resulting from this call as the IAM-ACCOUNT argument.